Package ru.bitel.bgbilling.modules.bill.server.bean

# Class ContractDocTypeManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.bill.server.bean.ContractDocTypeManager

public class ContractDocTypeManager extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractDocTypeManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addContractType(ContractDocType contractType)`
  `boolean`
  `checkDocTypeExist(ContractDocType contractType)`
  `void`
  `deleteContractType(int id)`
  `void`
  `deleteContractType(int contractId, int docType)`
  `ContractDocType`
  `getContractDocType(int id)`
  `List<DocType>`
  `getContractDocTypeList(int contractId, DocumentType documentType)`
  `List<ContractDocType>`
  `getContractTypeList(int contractId, DocumentType documentType, String docTypes)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractDocTypeManager

    public ContractDocTypeManager(Connection con, int moduleId)

- ## Method Details

  - ### getContractDocType

    public ContractDocType getContractDocType(int id) throws SQLException
    Throws:
      `SQLException`

  - ### getContractTypeList

    public List<ContractDocType> getContractTypeList(int contractId, DocumentType documentType, String docTypes) throws SQLException
    Throws:
      `SQLException`

  - ### getContractDocTypeList

    public List<DocType> getContractDocTypeList(int contractId, DocumentType documentType)

  - ### addContractType

    public void addContractType(ContractDocType contractType)

  - ### checkDocTypeExist

    public boolean checkDocTypeExist(ContractDocType contractType)

  - ### deleteContractType

    public void deleteContractType(int id) throws SQLException
    Throws:
      `SQLException`

  - ### deleteContractType

    public void deleteContractType(int contractId, int docType) throws SQLException
    Throws:
      `SQLException`